> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/guides/api-documentation.md).

# API documentation

- [How to write incredible API documentation](https://gitbook.com/docs/guides/api-documentation/how-to-write-incredible-api-documentation.md): What we’ve learned about writing API docs that drive adoption and reduce support.
- [Document your API in GitBook in 5 simple steps](https://gitbook.com/docs/guides/api-documentation/document-your-api-in-gitbook-in-5-simple-steps.md): Learn how to build beautiful, interactive API documentation in GitBook.
- [API docs: The seven principles of great API docs and how to apply them](https://gitbook.com/docs/guides/api-documentation/api-documentation-principles.md): Create great API documentation for your users using these foundational principles


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/guides/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
